Package: groovy.org.codenarc.results

## [Groovy] Class VirtualResults

- groovy.org.codenarc.results.VirtualResults

- All Implemented Interfaces and Traits:
    Results

      class VirtualResults

  This is a Results object for something that has no real file system, such as a string.

  Authors:
    Hamlet D'Arcy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VirtualResults (List violations)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Results` | `findResultsForPath(String path)`
    `` | `List` | `getChildren()`
    `` | `int` | `getNumberOfFilesWithViolations(int maxPriority, boolean recursive)`
    `` | `int` | `getNumberOfViolationsWithPriority(int priority, boolean recursive)`
    `` | `String` | `getPath()`
    `` | `int` | `getTotalNumberOfFiles(boolean recursive)`
    `` | `List` | `getViolations()`
    `` | `boolean` | `isFile()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualResults(List violations)

  - ### Method Detail

    - #### @Override Results findResultsForPath(String path)

    - #### List getChildren()

    - #### @Override int getNumberOfFilesWithViolations(int maxPriority, boolean recursive)

    - #### @Override int getNumberOfViolationsWithPriority(int priority, boolean recursive)

    - #### String getPath()

    - #### @Override int getTotalNumberOfFiles(boolean recursive)

    - #### List getViolations()

    - #### @Override boolean isFile()